#ifndef __HstGraph_h__
#define __HstGraph_h__

#include <gtk-hst/function.h>

G_BEGIN_DECLS

#define HST_TYPE_GRAPH                  (hst_graph_get_type ())
#define HST_GRAPH(obj)                  (G_TYPE_CHECK_INSTANCE_CAST ((obj), HST_TYPE_GRAPH, HstGraph))
#define HST_GRAPH_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST ((klass),  HST_TYPE_GRAPH, HstGraphClass))
#define HST_IS_GRAPH(obj)               (G_TYPE_CHECK_INSTANCE_TYPE ((obj), HST_TYPE_GRAPH))
#define HST_IS_GRAPH_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE ((klass),  HST_TYPE_GRAPH))
#define HST_GRAPH_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS ((obj),  HST_TYPE_GRAPH, HstGraphClass))

typedef struct _HstGraph HstGraph;
typedef struct _HstGraphClass HstGraphClass;

struct _HstGraph {
    HstFunction parent_instance;

    double *xv;  /* Array of abscisas */
    double *yv;  /* Array of values   */

    double ymin,ymax; /* max. and min. values of bin contents */
};

struct _HstGraphClass {
    HstFunctionClass parent_class;

    /* Methods */
    
    /* signals */
};

GType        hst_graph_get_type (void) G_GNUC_CONST;
HstGraph    *hst_graph_new(int n, double *x, double *y);
void         hst_graph_reset(HstGraph *, int n, double *x, double *y);
G_END_DECLS
#endif
