#ifndef __gtkhistogram_protected__
#define __gtkhistogram_protected__

struct _Canvas {
    int ch,cw,width,height;
    int sch,scw;
    int wx,wy,wz;
    int ox,oy,oz;
    int px0,px1;
    int py0,py1;
    int pz0,pz1;
    GdkRectangle cscale;

    gboolean   fixed;
    double xmin,xmax;
    double ymin,ymax;
    double zmin,zmax;
    double xstp,ystp,zstp;
    double sx, sy,sz,  ex, ey, ez;
    gboolean   logx,logy;
    double lxmin,lymin;
    GList  *curve_colors;
    PangoLayout *legend;
    int     leg_x,leg_y;
    
    /*
     * Stats for a range
     */
    HstStats *stats;
};
/*< private >*/
void canvas_set(Canvas *,GtkHst1D *);
/*< private >*/
inline void canvas_transform(Canvas *,double, double , GdkPoint *);
/*< private >*/
inline void canvas_transform_inv(Canvas *,int ix, int iy, double *x, double *y);
/*< private >*/
GdkPoint * canvas_transform_tuple(Canvas *, Tuple *);


#endif
