#ifndef __tracer_h__
#define __tracer_h__

#include <gtk-hst/histogram.h>

G_BEGIN_DECLS

#define HST_TYPE_TRACER                  (hst_tracer_get_type ())
#define HST_TRACER(obj)                  (G_TYPE_CHECK_INSTANCE_CAST ((obj), HST_TYPE_TRACER, HstTracer))
#define HST_TRACER_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST ((klass),  HST_TYPE_TRACER, HstTracerClass))
#define HST_IS_TRACER(obj)               (G_TYPE_CHECK_INSTANCE_TYPE ((obj), HST_TYPE_TRACER))
#define HST_IS_TRACER_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE ((klass),  HST_TYPE_TRACER))
#define HST_TRACER_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS ((obj),  HST_TYPE_TRACER, HstTracerClass))

typedef struct _HstTracer HstTracer;
typedef struct _HstTracerClass HstTracerClass;

struct _HstTracer {
    HstHistogram parent_instance;

    int index;    /* history index */
    int npoints;  /* history size for tracers */
};

struct _HstTracerClass {
    HstHistogramClass parent_class;
};

GType         hst_tracer_get_type (void) G_GNUC_CONST;
HstTracer    *hst_tracer_new(int n);

G_END_DECLS

#endif
